<?php
/*

Library name: C2L (Cyrillic to Latin Convertor)
     Version: 1.0
  	  Author: Predrag Supurovic
     Created: 09.Jan.2004.
   Copyright: DataVoyage, http://www.datavoyage.com
              All rights reserved
   
Legal notice: You may use this code for free. 
              You may not resell this code. 
			  You may not change and distribute changed code.

*/

      $c2l_conv_table = array (
	    "А" => "A",
		"Б" => "B",
		"В" => "V",
		"Г" => "G",
		"Д" => "D",
		"Ђ" => "Đ",
		"Е" => "E",
		"Ж" => "Ž",
		"З" => "Z",
		"И" => "I",
		"Ј" => "J",
		"К" => "K",
		"Л" => "L",
		"Љ" => "LJ",
		"М" => "M",
		"Н" => "N",
		"Њ" => "NJ",
		"О" => "O",
		"П" => "P",
		"Р" => "R",
		"С" => "S",
		"Ш" => "Š",
		"Т" => "T",
		"Ћ" => "Ć",
		"У" => "U",
		"Ф" => "F",
		"Х" => "H",
		"Ц" => "C",
		"Ч" => "Č",
		"Џ" => "DŽ",
		"Ш" => "Š",
        "а" => "a",
		"б" => "b",
		"в" => "v",
		"г" => "g",
		"д" => "d",
		"ђ" => "đ",
		"е" => "e",
		"ж" => "ž",
		"з" => "z",
		"и" => "i",
		"ј" => "j",
		"к" => "k",
		"л" => "l",
		"љ" => "lj",
		"м" => "m",
		"н" => "n",
		"њ" => "nj",
		"о" => "o",
		"п" => "p",
		"р" => "r",
		"с" => "s",
		"ш" => "š",
		"т" => "t",
		"ћ" => "ć",
		"у" => "u",
		"ф" => "f",
		"х" => "h",
		"ц" => "c",
		"ч" => "č",
		"џ" => "x",
		"ш" => "š",
		"Ња" => "Nja",
		"Ње" => "Nje",
		"Њи" => "Nji",
		"Њо" => "Njo",
		"Њу" => "Nju",
		"Ља" => "Lja",
		"Ље" => "Lje",
		"Љи" => "Lji",
		"Љо" => "Ljo",
		"Љу" => "Lju",
		"Џа" => "Dža",
		"Џе" => "Dže",
		"Џи" => "Dži",
		"Џо" => "Džo",
		"Џу" => "Džu",
		"Мајкрософт" => "Microsoft",
		"ФоксПро" => "FoxPro",
		"Оракл" => "Oracle",
		"Виндоуз" => "Windows",
		"Линукс" => "Linux");


    function c2l_convertor ($p_text) {
	  global $c2l_conv_table;

      $m_conv_text = strtr ($p_text, $c2l_conv_table);
	  
      return $m_conv_text;

	}
	
	
   function c2l_expand_table ($c2l_table) {
     global $c2l_conv_table;
	 
	 $c2l_conv_table = array_merge($c2l_table, $c2l_conv_table);
   
   }

?>